Bug 129150 - Add multiple torrents in one go
Summary: Add multiple torrents in one go
Status: RESOLVED FIXED
Alias: None
Product: ktorrent
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Joris Guisson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-14 16:35 UTC by Eike Hein
Modified: 2007-08-28 20:08 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Hein 2006-06-14 16:35:03 UTC
Version:           SVN (using KDE KDE 3.5.3)
Installed from:    Compiled From Sources

I think it would be nice if KTorrent's "Open File" dialog would allow opening multiple files at once, and add them in order of selection.

This might require some additional UI work to deal with the potential onslaught of "Select files to be downloaded" dialogs in an elegant manner, but the significant workflow improvement would be worth it, IMHO.

(Admittedly I do have Azureus' open dialog in the back of my mind here, although I think they overdid it a litte.)
Comment 1 Joris Guisson 2006-06-14 18:34:10 UTC
We will see, we have a way of opening things silently for DCOP. Opening them all silently could be possible.
Comment 2 Eike Hein 2006-06-14 18:53:42 UTC
Yeah, suppressing the "Select files to download" dialogs on multi-open and adding the torrents silently sounds pretty good to me. I'm not sure how many people really rely on selecting the files prior to downloading.
Comment 3 Niek Beernink 2006-07-12 16:51:55 UTC
I use it quite a lot when downloading files. I quite often deselect text files and the likes. 

Although I agree that it would be quite unhelpful when you want to start multiple files at once. You could always deselect any files you don't want from the files tab in the info widget. However, some people might like to get that file selection dialog, so perhaps it should be made optional?

Comment 4 Mike Frysinger 2007-08-27 21:23:14 UTC
another aspect to keep in mind is that if you have a big list of torrents to add and a few are already added, to make sure the error handling is pretty graceful

i just went through adding ~70 torrents of which i had about ~10 already queued
Comment 5 Joris Guisson 2007-08-28 20:08:02 UTC
SVN commit 705844 by guisson:

Added option to open multiple torrents in one go (in case of multiple torrents, we will open them silently)

BUG: 129150


 M  +3 -0      ChangeLog  
 M  +18 -3     ktorrent/gui.cpp  


--- trunk/extragear/network/ktorrent/ChangeLog #705843:705844
@@ -3,4 +3,7 @@
 Changes in 3.0dev :
 - Added option to select the network interface to use
 - Added option to disable data checking during uploading
+- Added possibility to open multiple torrents in one go (they will be opened
+silently)
+- Added option to do a data check when a torrent is finished
 
--- trunk/extragear/network/ktorrent/ktorrent/gui.cpp #705843:705844
@@ -226,10 +226,25 @@
 	void GUI::openTorrent()
 	{
 		QString filter = "*.torrent|" + i18n("Torrent Files") + "\n*|" + i18n("All Files");
-		KUrl url = KFileDialog::getOpenUrl(KUrl(), filter, this, i18n("Open Location"));
+		KUrl::List urls = KFileDialog::getOpenUrls(KUrl(), filter, this, i18n("Open Location"));
 
-		if (url.isValid())
-			load(url);
+		if (urls.count() == 0)
+			return;
+		else if (urls.count() == 1)
+		{
+			KUrl url = urls.front();
+			if (url.isValid())
+				load(url);
+		}
+		else 
+		{
+			// load multiple torrents silently
+			foreach (KUrl url,urls)
+			{
+				if (url.isValid())
+					core->loadSilently(url);
+			}
+		}
 	}
 
 	void GUI::startTorrent()